\version "2.18"

% point and click blows up the pdf
\pointAndClickOff

imagePagePath = "categories"
songPath = "lieder"

\include "../../lilypond-custom-includes/base_config.ly"
\include "../../lilypond-common-includes/book_include.ly"
\include "../../lilypond-common-includes/toc_include.ly"

% Brauchen wir jedes Lied als Einzelausgabe mit Midi und PDF?
#(define noStandaloneOutput #t)

\includeSong "vorlage"
\blankpage
\includeSong "vorlage_light"
\imagepage #125 "see.eps"
\includeSong "vorlage_satz"

\book {
  % Dateiname
  \bookOutputName "beispiel_liederbuch"

  \header {
    pdfcomposer = "Irgendwer"
    pdftitle = "Beispielliederbuch ♫" % Unicode is geil!
    pdfsubject = "Ein anspruchsvolles Liederbuch mit Noten und etwas Hintergrundinformationen zu den Liedern."
    pdfkeywords = "Liederbuch, Pfadfinder, bündisch"
  }

  % Titelseite
  \bookpart {
    \paper { print-page-number = ##f }
    \markup { \vspace #2 \fill-line { \null
      \override #'(font-name . "Old Standard TT") \fontsize #0.5 \override #'(line-width . 115) \left-column { \justify-string #"
      Hier steht lustiger Text"
      " "
      \fill-line { "blublub" }
      }
      \null }
    }
    % muss drinbleiben, damit die Kategoriebildchen alle reingeladen und referenziert werden können:
    \markuplist { \embed-category-images }
  }
  % die Liederausgabe
  \songs

  % Inhaltsverzeichnis
  \bookpart {
     \indexSection #"A" \markup { "A" }
     \indexSection #"B" \markup { "B" }
     \indexSection #"C" \markup { "C" }
     \indexSection #"D" \markup { "D" }
     \indexSection #"E" \markup { "E" }
     \indexSection #"F" \markup { "F" }
     \indexSection #"G" \markup { "G" }
     \indexSection #"H" \markup { "H" }
     \indexSection #"I" \markup { "I" }
     \indexSection #"J" \markup { "J" }
     \indexSection #"K" \markup { "K" }
     \indexSection #"L" \markup { "L" }
     \indexSection #"M" \markup { "M" }
     \indexSection #"N" \markup { "N" }
     \indexSection #"O" \markup { "O" }
     \indexSection #"P" \markup { "P" }
     \indexSection #"Q" \markup { "Q" }
     \indexSection #"R" \markup { "R" }
     \indexSection #"S" \markup { "S" }
     \indexSection #"T" \markup { "T" }
     \indexSection #"U" \markup { "U" }
     \indexSection #"V" \markup { "V" }
     \indexSection #"W" \markup { "W" }
     \indexSection #"X" \markup { "X" }
     \indexSection #"Y" \markup { "Y" }
     \indexSection #"Z" \markup { "Z" }
     \markuplist { \colindex }
  }

  \bookpart {
    \markuplist { \categoryindex }
  }

}
